DWARF_GET_FDE_INSTR_BYTES(3)

NAME
dwarf_get_fde_instr_bytes - retrieve instructions from FDE descritpor

LIBRARY
libdwarf

SYNOPSIS
#include <libdwarf.h>
int
dwarf_get_fde_instr_bytes(Dwarf_Fde fde, Dwarf_Ptr *ret_inst, Dwarf_Unsigned *ret_len, Dwarf_Error *error);

DESCRIPTION
Function dwarf_get_fde_instr_bytes() retrieves instruction bytes from a given FDE descriptor.

Argument fde should reference a valid DWARF FDE descriptor.

Argument ret_inst should point to a location that will be set to a pointer to an array of bytes containing the instructions of the FDE descriptor.

Argument ret_len should point to a location that will hold the length in bytes of the instructions returned in argument ret_inst.

If argument err is not NULL, it will be used to store error information in case of an error.

Applications can use the function dwarf_expand_frame_instructions(3) to parse and expand the returned instruction bytes into an array of Dwarf_Frame_Op descriptors.

RETURN VALUES
Function dwarf_get_fde_instr_bytes() returns DW_DLV_OK when it succeeds. In case of an error, it returns DW_DLV_ERROR and sets the argument err.

ERRORS
Function dwarf_get_fde_instr_bytes() can fail with:

[DW_DLE_ARGUMENT]
    One of the arguments fde, ret_inst or ret_len was NULL.

SEE ALSO
dwarf(3), dwarf_expand_frame_instructions(3), dwarf_get_cie_info(3), dwarf_get_cie_index(3), dwarf_get_cie_of_fde, dwarf_get_fde_at_pc(3), dwarf_get_fde_info_for_all_regs(3), dwarf_get_fde_info_for_all_regs3(3), dwarf_get_fde_info_for_cfa_reg3(3), dwarf_get_fde_info_for_reg(3), dwarf_get_fde_info_for_reg3(3), dwarf_get_fde_list(3), dwarf_get_fde_list_eh(3), dwarf_get_fde_n(3), dwarf_get_fde_range(3)